/*
 * This file is part of ElSoldadoYLaElfa.
 *
 * 
 * Miguel Garde Vallés (C) 2012
 * <miguelgardev@gmail.com>
 *
 * 
 * ElSoldadoYLaElfa examples are free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License ad
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) ant later version.
 *
 * ElSoldadoYLaElfa examples are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ElSoldadoYLaElfa examples.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "GardeGames/GardeGames.h"

//! Clase encargada de transmitir los cambios de la cámara.


/**
 *  @author Miguel Garde Vallés
 *  @date 14-01-2012
 *
 *  Evento que representa el intento de ataque de una criatura. 
 *  Se dispara en la vista humana, lo recibe la clase EstadoJugando y se actualiza la posición de la cámara.
 *  De esta forma se puede tener en cuenta el escenario para que la cámara choque y no lo atraviese.
 */

class Evt_Camara : public GardeGames::Event
{
public:
	static char const * const gkName;
	Evt_Camara(void);
	~Evt_Camara(void);
};
