/*
 * This file is part of ElSoldadoYLaElfa.
 *
 * 
 * Héctor Agustín Lana (C) 2012
 * <hectoragustin89@hotmail.com
 *
 * 
 * ElSoldadoYLaElfa examples are free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License ad
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) ant later version.
 *
 * ElSoldadoYLaElfa examples are distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ElSoldadoYLaElfa examples.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef STATE_H
#define STATE_H


/**
 *  @author Hector Agustin Lana
 *  @date 14-01-2012
 *
 *  Esta clase modela un estado
 *  
 */


template <class entity_type>
class State
{
public:

  virtual ~State(){}

 //al entrar
  virtual void Enter(entity_type*)=0;

  
  virtual void Execute(entity_type*)=0; 

  //al salir
  virtual void Exit(entity_type*)=0;

};

#endif