#pragma once

#include "Attack.h"
#include "GameActor.h"
#include <Ogre.h>

class MeleeAttack : public Attack
{
public:
	MeleeAttack(float range, float damage, int manaCost);
	~MeleeAttack(void);

	void update(float elapsedTime);
	void executeAttack(GameActor* target=0);
	GameActor* getTarget(); 

private:
	GameActor* mTarget;
};
